@echo off
cls
REM Creative 8-bit ADPCM Samples submitted by trixter@oldskool.org
REM (Jim Leonard).  Contact me for additional details if necessary.

echo All of these files were created by the VEDIT2.EXE program, which requires
echo a very specific revision of Sound Blaster called a Sound Blaster Pro rev 2
echo board.  The version of software provided here is hard-coded to IRQ 2, port
echo 220h, and DMA 1, for those attempting to get it running under emulation. I
echo don't know what Sound Blaster Pro DSP revision it's looking for, so you'll
echo have to patch the program or emulator to bypass that check.
echo .
echo The samples provided have a rate of 11025Hz, because the Sound Blaster
echo series of cards' DSPs were only fast enough to play back compressed
echo samples at a rate of 12KHz, no more.  (You can create 22KHz compressed
echo samples but they will play back at 12KHz.)  Of particular note are the
echo TAXI????.VOC samples, as the original 8-bit unsigned PCM trails off into
echo pure silence (value #127), and this can be visually matched to the ADPCM
echo samples as well.
echo .
echo To my knowledge, the 8-bit scheme has never been reverse-engineered as
echo Creative never provided specs for it in their SDK.  ADPCM samples can be
echo played back in hardware by the DSP without any CPU usage, but creating
echo them is only possible by recording directly to the format, or "packing"
echo them with VEDIT2.  If anyone reverse-engineers the scheme, PLEASE let me
echo know as I have always wondered how this one works. Creative's early drive
echo for their cards was always human speech and not digitized music; as a
echo result, the 3-bit and 2-bit schemes are only usuable for human speech.

pause

echo Playing Taxiride sample, 8-bit unsigned PCM (uncompressed)
vplay TAXI8BIT.VOC
echo Playing Taxiride sample, 4-bit ("2:1") compressed
vplay TAXI4BIT.VOC
echo Playing Taxiride sample, 3-bit ("3:1") compressed
vplay TAXI3BIT.VOC
echo Playing Taxiride sample, 2-bit ("4:1") compressed
vplay TAXI2BIT.VOC

echo Playing BBC sample, 8-bit unsigned PCM (uncompressed)
vplay BBC_8BIT.VOC
echo Playing BBC sample, 4-bit ("2:1") compressed
vplay BBC_4BIT.VOC
echo Playing BBC sample, 3-bit ("3:1") compressed
vplay BBC_3BIT.VOC
echo Playing BBC sample, 2-bit ("4:1") compressed
vplay BBC_2BIT.VOC
